
.pt-0,.py-0 {
    padding-top: 0!important;
}

.pr-0,.px-0 {
    padding-right: 0!important;
}

.pl-0,.px-0 {
    padding-left: 0!important;
}

.pb-0,.py-0 {
    padding-bottom: 0!important;
}

.ps-0 {
    padding-inline-start:0!important;}

.pe-0 {
    padding-inline-end:0!important;}

.pa-0 {
    padding: 0!important;
}

.pt-1,.py-1 {
    padding-top: 2px!important;
}

.pr-1,.px-1 {
    padding-right: 2px!important;
}

.pl-1,.px-1 {
    padding-left: 2px!important;
}

.pb-1,.py-1 {
    padding-bottom: 2px!important;
}

.ps-1 {
    padding-inline-start:2px!important;}

.pe-1 {
    padding-inline-end:2px!important;}

.pa-1 {
    padding: 2px!important;
}

.pt-2,.py-2 {
    padding-top: 4px!important;
}

.pr-2,.px-2 {
    padding-right: 4px!important;
}

.pl-2,.px-2 {
    padding-left: 4px!important;
}

.pb-2,.py-2 {
    padding-bottom: 4px!important;
}

.ps-2 {
    padding-inline-start:4px!important;}

.pe-2 {
    padding-inline-end:4px!important;}

.pa-2 {
    padding: 4px!important;
}

.pt-3,.py-3 {
    padding-top: 6px!important;
}

.pr-3,.px-3 {
    padding-right: 6px!important;
}

.pl-3,.px-3 {
    padding-left: 6px!important;
}

.pb-3,.py-3 {
    padding-bottom: 6px!important;
}

.ps-3 {
    padding-inline-start:6px!important;}

.pe-3 {
    padding-inline-end:6px!important;}

.pa-3 {
    padding: 6px!important;
}

.pt-4,.py-4 {
    padding-top: 8px!important;
}

.pr-4,.px-4 {
    padding-right: 8px!important;
}

.pl-4,.px-4 {
    padding-left: 8px!important;
}

.pb-4,.py-4 {
    padding-bottom: 8px!important;
}

.ps-4 {
    padding-inline-start:8px!important;}

.pe-4 {
    padding-inline-end:8px!important;}

.pa-4 {
    padding: 8px!important;
}

.pt-5,.py-5 {
    padding-top: 10px!important;
}

.pr-5,.px-5 {
    padding-right: 10px!important;
}

.pl-5,.px-5 {
    padding-left: 10px!important;
}

.pb-5,.py-5 {
    padding-bottom: 10px!important;
}

.ps-5 {
    padding-inline-start:10px!important;}

.pe-5 {
    padding-inline-end:10px!important;}

.pa-5 {
    padding: 10px!important;
}

.pt-6,.py-6 {
    padding-top: 12px!important;
}

.pr-6,.px-6 {
    padding-right: 12px!important;
}

.pl-6,.px-6 {
    padding-left: 12px!important;
}

.pb-6,.py-6 {
    padding-bottom: 12px!important;
}

.ps-6 {
    padding-inline-start:12px!important;}

.pe-6 {
    padding-inline-end:12px!important;}

.pa-6 {
    padding: 12px!important;
}

.pt-7,.py-7 {
    padding-top: 14px!important;
}

.pr-7,.px-7 {
    padding-right: 14px!important;
}

.pl-7,.px-7 {
    padding-left: 14px!important;
}

.pb-7,.py-7 {
    padding-bottom: 14px!important;
}

.ps-7 {
    padding-inline-start:14px!important;}

.pe-7 {
    padding-inline-end:14px!important;}

.pa-7 {
    padding: 14px!important;
}

.pt-8,.py-8 {
    padding-top: 16px!important;
}

.pr-8,.px-8 {
    padding-right: 16px!important;
}

.pl-8,.px-8 {
    padding-left: 16px!important;
}

.pb-8,.py-8 {
    padding-bottom: 16px!important;
}

.ps-8 {
    padding-inline-start:16px!important;}

.pe-8 {
    padding-inline-end:16px!important;}

.pa-8 {
    padding: 16px!important;
}

.pt-9,.py-9 {
    padding-top: 18px!important;
}

.pr-9,.px-9 {
    padding-right: 18px!important;
}

.pl-9,.px-9 {
    padding-left: 18px!important;
}

.pb-9,.py-9 {
    padding-bottom: 18px!important;
}

.ps-9 {
    padding-inline-start:18px!important;}

.pe-9 {
    padding-inline-end:18px!important;}

.pa-9 {
    padding: 18px!important;
}

.pt-10,.py-10 {
    padding-top: 20px!important;
}

.pr-10,.px-10 {
    padding-right: 20px!important;
}

.pl-10,.px-10 {
    padding-left: 20px!important;
}

.pb-10,.py-10 {
    padding-bottom: 20px!important;
}

.ps-10 {
    padding-inline-start:20px!important;}

.pe-10 {
    padding-inline-end:20px!important;}

.pa-10 {
    padding: 20px!important;
}

.pt-11,.py-11 {
    padding-top: 22px!important;
}

.pr-11,.px-11 {
    padding-right: 22px!important;
}

.pl-11,.px-11 {
    padding-left: 22px!important;
}

.pb-11,.py-11 {
    padding-bottom: 22px!important;
}

.ps-11 {
    padding-inline-start:22px!important;}

.pe-11 {
    padding-inline-end:22px!important;}

.pa-11 {
    padding: 22px!important;
}

.pt-12,.py-12 {
    padding-top: 24px!important;
}

.pr-12,.px-12 {
    padding-right: 24px!important;
}

.pl-12,.px-12 {
    padding-left: 24px!important;
}

.pb-12,.py-12 {
    padding-bottom: 24px!important;
}

.ps-12 {
    padding-inline-start:24px!important;}

.pe-12 {
    padding-inline-end:24px!important;}

.pa-12 {
    padding: 24px!important;
}

.pt-13,.py-13 {
    padding-top: 26px!important;
}

.pr-13,.px-13 {
    padding-right: 26px!important;
}

.pl-13,.px-13 {
    padding-left: 26px!important;
}

.pb-13,.py-13 {
    padding-bottom: 26px!important;
}

.ps-13 {
    padding-inline-start:26px!important;}

.pe-13 {
    padding-inline-end:26px!important;}

.pa-13 {
    padding: 26px!important;
}

.pt-14,.py-14 {
    padding-top: 28px!important;
}

.pr-14,.px-14 {
    padding-right: 28px!important;
}

.pl-14,.px-14 {
    padding-left: 28px!important;
}

.pb-14,.py-14 {
    padding-bottom: 28px!important;
}

.ps-14 {
    padding-inline-start:28px!important;}

.pe-14 {
    padding-inline-end:28px!important;}

.pa-14 {
    padding: 28px!important;
}

.pt-15,.py-15 {
    padding-top: 30px!important;
}

.pr-15,.px-15 {
    padding-right: 30px!important;
}

.pl-15,.px-15 {
    padding-left: 30px!important;
}

.pb-15,.py-15 {
    padding-bottom: 30px!important;
}

.ps-15 {
    padding-inline-start:30px!important;}

.pe-15 {
    padding-inline-end:30px!important;}

.pa-15 {
    padding: 30px!important;
}

.pt-16,.py-16 {
    padding-top: 32px!important;
}

.pr-16,.px-16 {
    padding-right: 32px!important;
}

.pl-16,.px-16 {
    padding-left: 32px!important;
}

.pb-16,.py-16 {
    padding-bottom: 32px!important;
}

.ps-16 {
    padding-inline-start:32px!important;}

.pe-16 {
    padding-inline-end:32px!important;}

.pa-16 {
    padding: 32px!important;
}

.pt-auto,.py-auto {
    padding-top: auto!important;
}

.pr-auto,.px-auto {
    padding-right: auto!important;
}

.pl-auto,.px-auto {
    padding-left: auto!important;
}

.pb-auto,.py-auto {
    padding-bottom: auto!important;
}

.ps-auto {
    padding-inline-start:auto!important;}

.pe-auto {
    padding-inline-end:auto!important;}

.pa-auto {
    padding: auto!important;
}

.mt-n1,.my-n1 {
    margin-top: -2px!important;
}

.mr-n1,.mx-n1 {
    margin-right: -2px!important;
}

.ml-n1,.mx-n1 {
    margin-left: -2px!important;
}

.mb-n1,.my-n1 {
    margin-bottom: -2px!important;
}

.ms-n1 {
    margin-inline-start:-2px!important;}

.me-n1 {
    margin-inline-end:-2px!important;}

.ma-n1 {
    margin: -2px!important;
}

.mt-n2,.my-n2 {
    margin-top: -4px!important;
}

.mr-n2,.mx-n2 {
    margin-right: -4px!important;
}

.ml-n2,.mx-n2 {
    margin-left: -4px!important;
}

.mb-n2,.my-n2 {
    margin-bottom: -4px!important;
}

.ms-n2 {
    margin-inline-start:-4px!important;}

.me-n2 {
    margin-inline-end:-4px!important;}

.ma-n2 {
    margin: -4px!important;
}

.mt-n3,.my-n3 {
    margin-top: -6px!important;
}

.mr-n3,.mx-n3 {
    margin-right: -6px!important;
}

.ml-n3,.mx-n3 {
    margin-left: -6px!important;
}

.mb-n3,.my-n3 {
    margin-bottom: -6px!important;
}

.ms-n3 {
    margin-inline-start:-6px!important;}

.me-n3 {
    margin-inline-end:-6px!important;}

.ma-n3 {
    margin: -6px!important;
}

.mt-n4,.my-n4 {
    margin-top: -8px!important;
}

.mr-n4,.mx-n4 {
    margin-right: -8px!important;
}

.ml-n4,.mx-n4 {
    margin-left: -8px!important;
}

.mb-n4,.my-n4 {
    margin-bottom: -8px!important;
}

.ms-n4 {
    margin-inline-start:-8px!important;}

.me-n4 {
    margin-inline-end:-8px!important;}

.ma-n4 {
    margin: -8px!important;
}

.mt-n5,.my-n5 {
    margin-top: -10px!important;
}

.mr-n5,.mx-n5 {
    margin-right: -10px!important;
}

.ml-n5,.mx-n5 {
    margin-left: -10px!important;
}

.mb-n5,.my-n5 {
    margin-bottom: -10px!important;
}

.ms-n5 {
    margin-inline-start:-10px!important;}

.me-n5 {
    margin-inline-end:-10px!important;}

.ma-n5 {
    margin: -10px!important;
}

.mt-n6,.my-n6 {
    margin-top: -12px!important;
}

.mr-n6,.mx-n6 {
    margin-right: -12px!important;
}

.ml-n6,.mx-n6 {
    margin-left: -12px!important;
}

.mb-n6,.my-n6 {
    margin-bottom: -12px!important;
}

.ms-n6 {
    margin-inline-start:-12px!important;}

.me-n6 {
    margin-inline-end:-12px!important;}

.ma-n6 {
    margin: -12px!important;
}

.mt-n7,.my-n7 {
    margin-top: -14px!important;
}

.mr-n7,.mx-n7 {
    margin-right: -14px!important;
}

.ml-n7,.mx-n7 {
    margin-left: -14px!important;
}

.mb-n7,.my-n7 {
    margin-bottom: -14px!important;
}

.ms-n7 {
    margin-inline-start:-14px!important;}

.me-n7 {
    margin-inline-end:-14px!important;}

.ma-n7 {
    margin: -14px!important;
}

.mt-n8,.my-n8 {
    margin-top: -16px!important;
}

.mr-n8,.mx-n8 {
    margin-right: -16px!important;
}

.ml-n8,.mx-n8 {
    margin-left: -16px!important;
}

.mb-n8,.my-n8 {
    margin-bottom: -16px!important;
}

.ms-n8 {
    margin-inline-start:-16px!important;}

.me-n8 {
    margin-inline-end:-16px!important;}

.ma-n8 {
    margin: -16px!important;
}

.mt-n9,.my-n9 {
    margin-top: -18px!important;
}

.mr-n9,.mx-n9 {
    margin-right: -18px!important;
}

.ml-n9,.mx-n9 {
    margin-left: -18px!important;
}

.mb-n9,.my-n9 {
    margin-bottom: -18px!important;
}

.ms-n9 {
    margin-inline-start:-18px!important;}

.me-n9 {
    margin-inline-end:-18px!important;}

.ma-n9 {
    margin: -18px!important;
}

.mt-n10,.my-n10 {
    margin-top: -20px!important;
}

.mr-n10,.mx-n10 {
    margin-right: -20px!important;
}

.ml-n10,.mx-n10 {
    margin-left: -20px!important;
}

.mb-n10,.my-n10 {
    margin-bottom: -20px!important;
}

.ms-n10 {
    margin-inline-start:-20px!important;}

.me-n10 {
    margin-inline-end:-20px!important;}

.ma-n10 {
    margin: -20px!important;
}

.mt-n11,.my-n11 {
    margin-top: -22px!important;
}

.mr-n11,.mx-n11 {
    margin-right: -22px!important;
}

.ml-n11,.mx-n11 {
    margin-left: -22px!important;
}

.mb-n11,.my-n11 {
    margin-bottom: -22px!important;
}

.ms-n11 {
    margin-inline-start:-22px!important;}

.me-n11 {
    margin-inline-end:-22px!important;}

.ma-n11 {
    margin: -22px!important;
}

.mt-n12,.my-n12 {
    margin-top: -24px!important;
}

.mr-n12,.mx-n12 {
    margin-right: -24px!important;
}

.ml-n12,.mx-n12 {
    margin-left: -24px!important;
}

.mb-n12,.my-n12 {
    margin-bottom: -24px!important;
}

.ms-n12 {
    margin-inline-start:-24px!important;}

.me-n12 {
    margin-inline-end:-24px!important;}

.ma-n12 {
    margin: -24px!important;
}

.mt-n13,.my-n13 {
    margin-top: -26px!important;
}

.mr-n13,.mx-n13 {
    margin-right: -26px!important;
}

.ml-n13,.mx-n13 {
    margin-left: -26px!important;
}

.mb-n13,.my-n13 {
    margin-bottom: -26px!important;
}

.ms-n13 {
    margin-inline-start:-26px!important;}

.me-n13 {
    margin-inline-end:-26px!important;}

.ma-n13 {
    margin: -26px!important;
}

.mt-n14,.my-n14 {
    margin-top: -28px!important;
}

.mr-n14,.mx-n14 {
    margin-right: -28px!important;
}

.ml-n14,.mx-n14 {
    margin-left: -28px!important;
}

.mb-n14,.my-n14 {
    margin-bottom: -28px!important;
}

.ms-n14 {
    margin-inline-start:-28px!important;}

.me-n14 {
    margin-inline-end:-28px!important;}

.ma-n14 {
    margin: -28px!important;
}

.mt-n15,.my-n15 {
    margin-top: -30px!important;
}

.mr-n15,.mx-n15 {
    margin-right: -30px!important;
}

.ml-n15,.mx-n15 {
    margin-left: -30px!important;
}

.mb-n15,.my-n15 {
    margin-bottom: -30px!important;
}

.ms-n15 {
    margin-inline-start:-30px!important;}

.me-n15 {
    margin-inline-end:-30px!important;}

.ma-n15 {
    margin: -30px!important;
}

.mt-n16,.my-n16 {
    margin-top: -32px!important;
}

.mr-n16,.mx-n16 {
    margin-right: -32px!important;
}

.ml-n16,.mx-n16 {
    margin-left: -32px!important;
}

.mb-n16,.my-n16 {
    margin-bottom: -32px!important;
}

.ms-n16 {
    margin-inline-start:-32px!important;}

.me-n16 {
    margin-inline-end:-32px!important;}

.ma-n16 {
    margin: -32px!important;
}

.mud-grid-item {
    margin: 0;
    box-sizing: border-box;
}

.mud-grid-spacing-xs-1 {
    width: calc(100% + 4px);
    margin: -2px;
}

.mud-grid-spacing-xs-1 > .mud-grid-item {
    padding: 2px;
}

.mud-grid-spacing-xs-2 {
    width: calc(100% + 8px);
    margin: -4px;
}

    .mud-grid-spacing-xs-2 > .mud-grid-item {
        padding: 4px;
    }

.mud-grid-spacing-xs-3 {
    width: calc(100% + 12px);
    margin: -6px;
}

    .mud-grid-spacing-xs-3 > .mud-grid-item {
        padding: 6px;
    }

.mud-grid-spacing-xs-4 {
    width: calc(100% + 16px);
    margin: -8px;
}

    .mud-grid-spacing-xs-4 > .mud-grid-item {
        padding: 8px;
    }

.mud-grid-spacing-xs-5 {
    width: calc(100% + 20px);
    margin: -10px;
}

    .mud-grid-spacing-xs-5 > .mud-grid-item {
        padding: 10px;
    }

.mud-grid-spacing-xs-6 {
    width: calc(100% + 24px);
    margin: -12px;
}

    .mud-grid-spacing-xs-6 > .mud-grid-item {
        padding: 12px;
    }

.mud-grid-spacing-xs-7 {
    width: calc(100% + 28px);
    margin: -14px;
}

    .mud-grid-spacing-xs-7 > .mud-grid-item {
        padding: 14px;
    }

.mud-grid-spacing-xs-8 {
    width: calc(100% + 32px);
    margin: -16px;
}

    .mud-grid-spacing-xs-8 > .mud-grid-item {
        padding: 16px;
    }

.mud-grid-spacing-xs-9 {
    width: calc(100% + 36px);
    margin: -18px;
}

    .mud-grid-spacing-xs-9 > .mud-grid-item {
        padding: 18px;
    }

.mud-grid-spacing-xs-10 {
    width: calc(100% + 40px);
    margin: -20px;
}

    .mud-grid-spacing-xs-10 > .mud-grid-item {
        padding: 20px;
    }
.mud-input > input.mud-input-root-outlined.mud-input-root-margin-dense, div.mud-input-slot.mud-input-root-outlined.mud-input-root-margin-dense {
    padding-top: 8.5px;
    padding-bottom: 8.5px;
}